package ua.nure.jfn.task4;

public class Part5 {

	private static final String SEPARATOR = "~~~~~~~";

	public static void main(String[] args) {
		Tree<Integer> tree = new Tree<>();

		System.out.println(tree.add(3));
		System.out.println(tree.add(3));

		System.out.println(SEPARATOR);
		tree.add(new Integer[] { 1, 2, 6, 4, 7, 0, 5 });
		tree.print();

		System.out.println(SEPARATOR);
		System.out.println(tree.remove(5));
		System.out.println(tree.remove(5));

		System.out.println(SEPARATOR);
		tree.print();
	}
	
}